DOMCDATA (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.dom
Class DOMCDATA

    java.lang.Object
      org.dom4j.tree.AbstractNode
          org.dom4j.tree.AbstractCharacterData
              org.dom4j.tree.AbstractCDATA
                  org.dom4j.tree.FlyweightCDATA
                      org.dom4j.tree.DefaultCDATA
                          org.dom4j.dom.DOMCDATA

All Implemented Interfaces:
  CDATA, CDATASection, CharacterData, CharacterData, Cloneable, Node, Node, Serializable, Text

public class DOMCDATA
extends DefaultCDATA
implements CDATASection

`DOMCDATA` implements a CDATA Section which supports the W3C DOM API.

Version:
  $Revision: 1.12 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.dom4j.tree.FlyweightCDATA
`text`

Fields inherited from class org.dom4j.tree.AbstractNode
`NODE_TYPE_NAMES`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.dom4j.Node
`ANY_NODE, ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, MAX_NODE_TYPE, NAMESPACE_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE, UNKNOWN_NODE`

Constructor Summary
`DOMCDATA(Element parent, String text)`
`DOMCDATA(String text)`

Method Summary
`Node` | `appendChild(Node newChild)`
`void` | `appendData(String arg)`
`Node` | `cloneNode(boolean deep)`
`protected CDATA` | `createCDATA(String text)`
`void` | `deleteData(int offset, int count)`
`NamedNodeMap` | `getAttributes()`
`NodeList` | `getChildNodes()`
`String` | `getData()`
`Node` | `getFirstChild()`
`Node` | `getLastChild()`
`int` | `getLength()`
`String` | `getLocalName()`
`String` | `getNamespaceURI()`
`Node` | `getNextSibling()`
`String` | `getNodeName()`
`String` | `getNodeValue()`
`Document` | `getOwnerDocument()`
`Node` | `getParentNode()`
`String` | `getPrefix()`
`Node` | `getPreviousSibling()`
`boolean` | `hasAttributes()`
`boolean` | `hasChildNodes()`
`Node` | `insertBefore(Node newChild, Node refChild)`
`void` | `insertData(int offset, String arg)`
`boolean` | `isSupported(String feature, String version)`
`void` | `normalize()`
`Node` | `removeChild(Node oldChild)`
`Node` | `replaceChild(Node newChild, Node oldChild)`
`void` | `replaceData(int offset, int count, String arg)`
`void` | `setData(String data)`
`void` | `setNodeValue(String nodeValue)`
`void` | `setPrefix(String prefix)`
`Text` | `splitText(int offset)`
`String` | `substringData(int offset, int count)`
`boolean` | `supports(String feature, String version)`

Methods inherited from class org.dom4j.tree.DefaultCDATA
`getParent, isReadOnly, setParent, setText, supportsParent`

Methods inherited from class org.dom4j.tree.FlyweightCDATA
`createXPathResult, getText`

Methods inherited from class org.dom4j.tree.AbstractCDATA
`accept, asXML, getNodeType, toString, write`

Methods inherited from class org.dom4j.tree.AbstractCharacterData
`appendText, getPath, getUniquePath`

Methods inherited from class org.dom4j.tree.AbstractNode
`asXPathResult, clone, createPattern, createXPath, createXPathFilter, detach, getDocument, getDocumentFactory, getName, getNodeTypeName, getPath, getStringValue, getUniquePath, hasContent, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, valueOf`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`getNodeType`

Methods inherited from interface org.dom4j.CharacterData
`appendText`

Methods inherited from interface org.dom4j.Node
`accept, asXML, asXPathResult, clone, createXPath, detach, getDocument, getName, getNodeType, getNodeTypeName, getPath, getPath, getStringValue, getUniquePath, getUniquePath, hasContent, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, valueOf, write`

Constructor Detail

### DOMCDATA

    public DOMCDATA(String text)

### DOMCDATA

    public DOMCDATA(Element parent,
                    String text)

Method Detail

### supports

    public boolean supports(String feature,
                            String version)

### getNamespaceURI

    public String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `Node`

### getPrefix

    public String getPrefix()

  Specified by:
    `getPrefix` in interface `Node`

### setPrefix

    public void setPrefix(String prefix)
                   throws DOMException

  Specified by:
    `setPrefix` in interface `Node`
  Throws:
    `DOMException`

### getLocalName

    public String getLocalName()

  Specified by:
    `getLocalName` in interface `Node`

### getNodeName

    public String getNodeName()

  Specified by:
    `getNodeName` in interface `Node`

### getNodeValue

    public String getNodeValue()
                        throws DOMException

  Specified by:
    `getNodeValue` in interface `Node`
  Throws:
    `DOMException`

### setNodeValue

    public void setNodeValue(String nodeValue)
                      throws DOMException

  Specified by:
    `setNodeValue` in interface `Node`
  Throws:
    `DOMException`

### getParentNode

    public Node getParentNode()

  Specified by:
    `getParentNode` in interface `Node`

### getChildNodes

    public NodeList getChildNodes()

  Specified by:
    `getChildNodes` in interface `Node`

### getFirstChild

    public Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `Node`

### getLastChild

    public Node getLastChild()

  Specified by:
    `getLastChild` in interface `Node`

### getPreviousSibling

    public Node getPreviousSibling()

  Specified by:
    `getPreviousSibling` in interface `Node`

### getNextSibling

    public Node getNextSibling()

  Specified by:
    `getNextSibling` in interface `Node`

### getAttributes

    public NamedNodeMap getAttributes()

  Specified by:
    `getAttributes` in interface `Node`

### getOwnerDocument

    public Document getOwnerDocument()

  Specified by:
    `getOwnerDocument` in interface `Node`

### insertBefore

    public Node insertBefore(Node newChild,
                             Node refChild)
                      throws DOMException

  Specified by:
    `insertBefore` in interface `Node`
  Throws:
    `DOMException`

### replaceChild

    public Node replaceChild(Node newChild,
                             Node oldChild)
                      throws DOMException

  Specified by:
    `replaceChild` in interface `Node`
  Throws:
    `DOMException`

### removeChild

    public Node removeChild(Node oldChild)
                     throws DOMException

  Specified by:
    `removeChild` in interface `Node`
  Throws:
    `DOMException`

### appendChild

    public Node appendChild(Node newChild)
                     throws DOMException

  Specified by:
    `appendChild` in interface `Node`
  Throws:
    `DOMException`

### hasChildNodes

    public boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `Node`

### cloneNode

    public Node cloneNode(boolean deep)

  Specified by:
    `cloneNode` in interface `Node`

### normalize

    public void normalize()

  Specified by:
    `normalize` in interface `Node`

### isSupported

    public boolean isSupported(String feature,
                               String version)

  Specified by:
    `isSupported` in interface `Node`

### hasAttributes

    public boolean hasAttributes()

  Specified by:
    `hasAttributes` in interface `Node`

### getData

    public String getData()
                   throws DOMException

  Specified by:
    `getData` in interface `CharacterData`
  Throws:
    `DOMException`

### setData

    public void setData(String data)
                 throws DOMException

  Specified by:
    `setData` in interface `CharacterData`
  Throws:
    `DOMException`

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `CharacterData`

### substringData

    public String substringData(int offset,
                                int count)
                         throws DOMException

  Specified by:
    `substringData` in interface `CharacterData`
  Throws:
    `DOMException`

### appendData

    public void appendData(String arg)
                    throws DOMException

  Specified by:
    `appendData` in interface `CharacterData`
  Throws:
    `DOMException`

### insertData

    public void insertData(int offset,
                           String arg)
                    throws DOMException

  Specified by:
    `insertData` in interface `CharacterData`
  Throws:
    `DOMException`

### deleteData

    public void deleteData(int offset,
                           int count)
                    throws DOMException

  Specified by:
    `deleteData` in interface `CharacterData`
  Throws:
    `DOMException`

### replaceData

    public void replaceData(int offset,
                            int count,
                            String arg)
                     throws DOMException

  Specified by:
    `replaceData` in interface `CharacterData`
  Throws:
    `DOMException`

### splitText

    public Text splitText(int offset)
                   throws DOMException

  Specified by:
    `splitText` in interface `Text`
  Throws:
    `DOMException`

### createCDATA

    protected CDATA createCDATA(String text)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.